Video Screencast Help
Symantec to Separate Into Two Focused, Industry-Leading Technology Companies. Learn more.

MS Exchange patch and KVS OWA icons disappearing ...

Created: 13 Dec 2006 • Updated: 18 Nov 2012 | 10 comments
This issue has been solved. See solution.

Hello all.

I recently encountered an issue where we installed KB911829 on our exchange servers as part of our updates when I noticed that OWA icons went missing. You can open archived mail (and attachments) but no icons. I reinstalled the forms and re-ran the configuration utility for BE and FE systems.

Well I just heard back from Symantec and they said that installing 911829 is not supported on any version of KVS. I asked when the hotfix was going to be released and they said there were no plans for a release to fix this issue.

Has anyone else encountered this issue or received information that there will be a patch or hotfix to address this MS approved Exchange patch?

Thank you!
Phil.

Discussion Filed Under:

Comments 10 CommentsJump to latest comment

Phil McDougal's picture

I should mention that this MS Exchange patch updates the exchweb version and controls to 6.5.7651.60

I was told that SP3 only supports up to version 6.5.7651.25.

Phil.

TonySterling's picture

I know EV 7 will support up to exchange version 6.5.7651.43. The next sp for ev 6 should, but I have not been able to confirm this. I will let you know if I can confirm this for you.

Phil McDougal's picture

Thank you Tony! I'm having a hard time believing Symantec wouldn't prepare a fix for a known Exchange patch.

And if I hear back form the Backling engineers, I'll update this thread.

Thanks!
Phil.

Alan M's picture

Phil

You can fix OWA by one of two methods to support the version of controls that you have after applying the MS Hotfix. Email me directly if you are interested. I don't believe either approach is supported by Symantec but they do work.

Phil McDougal's picture

Thanks Nue vo,

I'd definitely be interested in your "unsupported" fix.

I can't seem to find your email addy though...

TonySterling's picture

You are not recommending overwriting the new control files are you? That could very well break the hotfix provided by the update.

I posted this earlier, but here it is again. My two pence, anyway! :)

There are 8 files that get modified by the install and you DO NOT TO JUST OVERWRITE THEM. Doing so may void the security patch. The files that are updated can be found on the CD in the path ev60_sp3_284461\Enterprise Vault 6.0 SP3\Enterprise Vault 6.0 SP3\Server\OWA2000s\6.5.*.*.*\Controls folder. Currently the latest we look for is OWA_HF 6.5.7651.25

If your version is above this you should contact support and not just go overwriting them or modify the files directly. For example, the file EV_ctrl_Tree.js in 6.5.7226.0 has our modification going in the file at line 502, however, the same file in 6.5.7651.25 goes in at line 1510. So from base 2k3 to 2k3sp2 there have been over a 1000 lines of code added. If you overwrite just that file you might pooch you OWA install all together.

While it may seem like a quick fix, it is definitly not a good idea, IMHO!

You can. however, do some research of the files and compare where the modifications were going and put them in that same location, but you can't just blindly use the line numbers in the files, as that location is bound to change from sp and patches. AND ALWAYS MAKE COPIES FIRST!!!

SOLUTION
Micah Wyenn's picture

mauhahahaha, pooch. :) Yeah, I feel somewhat responsible for pushin' the idea that this was okay back in the sp1 days. Tony has since "reformed" me to the obvious badness in just a raw overwrite. 'sides, OWA installs if they go bad, 9 outa 10 times a typical user will need supports (or even MS supports) help to fix it. Might as well go right to the source 'fore monkey'in around with it.

Who knows, if we call enough, maybe the install will get easier in 7.0sp1. :)

micah

Phil McDougal's picture

Okay, update from Symantec support.


Thank you for contacting Symantec technical support. My name is ... ; I am the support representative that has picked up your case #555-555-555.

"The version of the exchange control files you have is not currently supported, as has been discussed. I have raised an internal request for addition of your currently installed build of exchange control files, it is referenced by ET 895179. While I can not provide a time frame or ETA for the formal resolution of this issue, I can say that the remedy will take one of two possible forms, either a hotfix (i.e. for EV 6.0 sp3), or formal addition of support for exchange version v6.5.7651.60 in a future build of EV (i.e. sp4 for version 6.x or possibly inclusion in EV version 7.0). Unfortunately in the mean time, the only option to resolve the issue will be to uninstall the Exchange hotfixes which altered the control files to the newer build, which I understand is not possible currently in your environment. I will keep you apprised on the status of the internal incident and advise you once the fix is available.

Thank you."


Now, this is pretty much standard ops for support engineers in most cases. But I am thinking that a scheduled security patch from MS should have a high priority from Symantec to address this issue. I do not get the feeling that I will receive a patch any time soon. Uninstalling this Exchange hotfix is out of the question as I was told the security updates outweigh the need for OWA Icons since the archived messages are still accessible. Maybe I shouldn't worry too much but all it takes is one crying client to send the storm clouds.

Thank you for your help fellas. I think I will just work with support on this and bark at them every other day for a forecasted release date.

Thanks
Phil.

Alan M's picture

You have more patience than I would.

imaneophyte @ gmail.com

Kees Sprangers's picture

As far as I know, patch KB911829 is not a security patch, but a patch to make sure certain versions of Internet Explorer work properly with OWA.
I you have no explorer 7 or Vista clients, or no intention to support them, as far as I know there is no problem in unistalling this patch.
Anyway, we decided not to install this patch.

Hope this helps,
Kees